r.composite(1)		      Grass User's Manual		r.composite(1)



NNAAMMEE
       rr..ccoommppoossiittee  -  Converts  three user-specified raster map layers into a
       composite RGB layer.
       _(_G_R_A_S_S _R_a_s_t_e_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       rr..ccoommppoossiittee
       rr..ccoommppoossiittee hheellpp
       rr..ccoommppoossiittee [--oo]  [--dd]  [--cc]  rr__mmaapp==_n_a_m_e  gg__mmaapp==_n_a_m_e  bb__mmaapp==_n_a_m_e  [lleevv--
       eellss==_v_a_l_u_e] [lleevv__rr==_v_a_l_u_e] [lleevv__gg==_v_a_l_u_e] [lleevv__bb==_v_a_l_u_e] oouuttppuutt==_n_a_m_e

DDEESSCCRRIIPPTTIIOONN
       This  program  combines three raster map layers to form a composite RGB
       layer. For each layer, the corresponding  component  from  the  layer's
       color table is used (e.g. for the red layer, the red component is used,
       and so on). In general, the layers should use a gray-scale color table.



OOPPTTIIOONNSS
   FFllaaggss::
       --oo     Overwrite output maps.

       --dd     Dither.

       --cc     Use closest color.


   PPaarraammeetteerrss::
       rr__mmaapp==_n_a_m_e
	      Name of raster map layer to be used for RED component.

       gg__mmaapp==_n_a_m_e
	      Name of raster map layer to be used for GREEN component.

       bb__mmaapp==_n_a_m_e
	      Name of raster map layer to be used for BLUE component.

       lleevveellss==_v_a_l_u_e
	      Number  of levels to use for each component (default 32), except
	      where overridden by the appropriate lleevv__[[rrggbb]] parameter.

       lleevv__rr==_v_a_l_u_e
	      Number of levels to use for the  RED  component  (overrides  the
	      lleevveellss parameter).

       lleevv__gg==_v_a_l_u_e
	      Number  of  levels to use for the GREEN component (overrides the
	      lleevveellss parameter).

       lleevv__bb==_v_a_l_u_e
	      Number of levels to use for the BLUE  component  (overrides  the
	      lleevveellss parameter).

       oouuttppuutt==_n_a_m_e
	      Name of raster map to contain results


NNOOTTEESS
       The  default  number  of  intensity  levels  for  each component is 32,
       resulting in a total of 32768 possible colors (equivalent  to  15  bits
       per  pixel).  If significantly more levels than this are used, not only
       will _r_._c_o_m_p_o_s_i_t_e take longer to run, but displaying the resulting layer
       with _d_._r_a_s_t will also be significantly slower.


       Floyd-Steinberg dithering is optionally used.

SSEEEE AALLSSOO
       _d_._r_a_s_t

       _d_._r_g_b

       _r_._c_o_l_o_r_s

       _i_._c_o_m_p_o_s_i_t_e

AAUUTTHHOORR
       Glynn Clements

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_3_/_0_8_/_2_5 _0_7_:_4_9_:_3_0 _$



GRASS 5.0							r.composite(1)
